Bug 1411895 - Update to latest version 1.2.0
Summary: Update to latest version 1.2.0
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-rr
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Guillermo Gómez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 17:05 UTC by Jun Aruga
Modified: 2018-05-04 15:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
Patch to update to 1.2.0 (5.11 KB, patch)
2017-01-10 17:05 UTC, Jun Aruga
no flags Details | Diff
tests for 1.2.0 (743 bytes, application/x-gzip)
2017-01-10 17:06 UTC, Jun Aruga
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 929418 None None None Never

Internal Links: 929418

Description Jun Aruga 2017-01-10 17:05:42 UTC
Created attachment 1239162 [details]
Patch to update to 1.2.0

Description of problem:

I updated to latest version 1.2.0

Version-Release number of selected component (if applicable):
rubygem-rr-1.1.2-5.fc26

- Dependency check: ok
- License check: ok
- Install check: ok
- rpmlint check: ok
  I got below error. But I kept it.
  rubygem-rr-doc.noarch: E: zero-length /usr/share/gems/gems/rr-1.2.0/spec/support/test.sqlite3
- IRB check: ok

The modification is based on gem2rpm's result.
I removed the logic for old version Fedora (Fedora <= 23 is not supported any more).

Comment 1 Jun Aruga 2017-01-10 17:06:24 UTC
Created attachment 1239163 [details]
tests for 1.2.0

Comment 2 Jun Aruga 2017-01-10 17:07:56 UTC
I added tests by test-unit in check section, because it is used on Travis for each Ruby version.

Comment 3 Mamoru TASAKA 2017-01-10 23:14:43 UTC
You mean rubygem-rr, not rubygem-test-unit-rr, right?

Comment 4 Jun Aruga 2017-01-11 13:23:41 UTC
(In reply to Mamoru TASAKA from comment #3)
> You mean rubygem-rr, not rubygem-test-unit-rr, right?

> Component: rubygem-test-unit-rr → rubygem-rr
Yes, I mean rubygem-rr. Thank you for mentioning me.

Comment 5 Jun Aruga 2017-02-02 14:54:12 UTC
Guillermo Gómez
Hello, are you there?

Comment 6 Fedora End Of Life 2017-02-28 10:55:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 7 Fedora End Of Life 2018-05-03 08:11:24 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Vít Ondruch 2018-05-03 08:31:19 UTC
This is still valid, although even newer version or rr gem is available.

Comment 9 Jun Aruga 2018-05-04 15:47:52 UTC
Note: I sent PR on the repository now to update the latest version 1.2.1.
Review please.
https://src.fedoraproject.org/rpms/rubygem-rr/pull-request/2


Note You need to log in before you can comment on or make changes to this bug.